1. Pay In - Ecuador
PayPaga
  • Introduction
    • Introduction
    • API Reference
    • Environments
    • Payment methods
    • Errors
    • Standard Codes and Values
  • Authorization
    • Authorization
    • OAuth 2.0 Token Generation
  • Pay In - Direct API Integration
    • Pay In - Direct API Integration
    • Pay In - Payment Options
    • Pay In - Payment Processing
    • Pay In - Query Transactions
  • Pay In - PayURL Integration
    • Pay In - PayURL Integration
    • Pay In - Create PayURL
  • Pay In - Examples
    • Pay In - Argentina
      • Pay In - Instant Transfers
    • Pay In - Brazil
      • Pay In - PIX
    • Pay In - Chile
      • Pay In - Bank Transfer
      • Pay In - Khipu
    • Pay In - Colombia
      • Pay In - Dale
      • Pay In - Daviplata
      • Pay In - Efecty
      • Pay In - Gana
      • Pay In - Movii
      • Pay In - Nequi
      • Pay In - PSE
      • Pay In - RappiPay
      • Pay In - ReFacil
      • Pay In - Susuerte
      • Pay In - Western Union
    • Pay In - Ecuador
      • Pay In - Bank Transfer
        POST
      • Pay In - Bemóvil
        POST
      • Pay In - Deuna
        POST
      • Pay In - Mi Negocio Efectivo
        POST
      • Pay In - Omniswitch
        POST
      • Pay In - Rapi Activo
        POST
      • Pay In - Western Union
        POST
    • Pay In - El Salvador
      • Pay In - Banco Agrícola
      • Pay In - Banco Cuscatlán
      • Pay In - Puntoxpress
    • Pay In - Guatemala
      • Pay In - BAM Efectivo
      • Pay In - BAM Transferencia
      • Pay In - Banco Industrial
      • Pay In - Akisi Pronet
    • Pay In - Mexico
      • Pay In - Pay With Cash
      • Pay In - SPEI
    • Pay In - Peru
      • Pay In - BBVA
      • Pay In - BCP
      • Pay In - BCP Efectivo
      • Pay In - Cell Power
      • Pay In - KasNet
      • Pay In - QR Interoperable
      • Pay In - Plin
      • Pay In - Yape
  • Pay Out - Direct API Integration
    • Pay Out - Direct API Integration
    • Pay Out - Query Transactions
    • Pay Out - Payment Processing
  • Pay Out - Examples
    • Pay Out - Argentina
    • Pay Out - Brazil
    • Pay Out - Chile
    • Pay Out - Colombia
    • Pay Out - Ecuador
    • Pay Out - Guatemala
    • Pay Out - Mexico
    • Pay Out - Peru
  • Transactions Status Notification
    • Transactions Status Notification
    • Pay In - Instant Transfers
  • Query Balance
    • Query Balance
  • Appendix
    • Transaction Status Definitions and Lifecycle
    • Assets
  1. Pay In - Ecuador

Pay In - Bank Transfer

Developing
Develop Env
https://api.v2.stg.paypaga.com
Develop Env
https://api.v2.stg.paypaga.com
POST
https://api.v2.stg.paypaga.com
/payment

Channel

Bank Transfer

Supported Banks

This payment method includes the following banks:

  • Banco Guayaquil
  • Banco Pichincha

Required Fields

FieldDescriptionValidation
first_nameCustomer first nameLength >= 2 <= 50, RegEx ^\p{L}*(?:[ '-]\p{L}+)*$
last_nameCustomer last nameLength >= 2 <= 50, RegEx ^\p{L}*(?:[ '-]\p{L}+)*$
emailCustomer emailLength >= 5 <= 50, RegEx ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
document_typeDocument typeSee document types listed below
document_numberDocument numberSee document types listed below

Document types

Document TypeDescriptiondocument_number validation
CICedula de Identidad10 digits including last digit checksum
DLDriver's License10 digits including last digit checksum
PPPassportMust be a valid Ecuadorian passport

Expected Behavior

The external_link returned in the API response must be used to redirect the customer to the payment provider’s hosted checkout page.
This URL does not correspond to a specific bank. Instead, the provider will display the available bank options and guide the customer through the payment process.

Expiry

Initiated transactions that are not completed, transition to an Expired state after 60 hours.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.v2.stg.paypaga.com/payment' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "20251028-1512-4666-aa2b-1e1b04ca105e",
    "payment_method_code": "bank_transfer",
    "country_code": "EC",
    "currency": "USD",
    "transaction_total": 1000,
    "merchant_transaction_reference": "abc4561698162696828",
    "transaction_fields": [
        {
            "name": "first_name",
            "value": "John"
        },
        {
            "name": "last_name",
            "value": "Doe"
        },
        {
            "name": "email",
            "value": "mail@mail.com"
        },
        {
            "name": "document_type",
            "value": "CI"
        },
        {
            "name": "document_number",
            "value": "1710034065"
        }
    ]
}'
Response Response Example
200 - Bank Transfer
{
    "transaction_id": "20260325-1443-4d40-8392-73274d0f4e99",
    "transaction_payment_mode": "ASYNCHRONOUS",
    "payment_method_reference": "20260325-1443-4d40-8392-73274d0f4e99",
    "message": "Transaction Successfully",
    "version": "0.1",
    "next_steps_detail_instructions": [
        {
            "type": "external_link",
            "key": "reference_url",
            "label": "URL",
            "description": "https://sandbox-gateway.com/Express4/Checkout/index?TokenID=c198ae99-29db-4617-a78e-1c3aeb76b889&CountryID=ECU&ChannelID=ONLINE"
        }
    ]
}
Previous
Pay In - Western Union
Next
Pay In - Bemóvil
Built with